Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class AdvancedSQL

    java.lang.Object
      kodo.jdbc.sql.AdvancedSQL

All Implemented Interfaces:
  Configurable

Direct Known Subclasses:
  AbstractSQLServerAdvancedSQL, AccessAdvancedSQL, CacheAdvancedSQL, DB2AdvancedSQL, DerbyAdvancedSQL, EmpressAdvancedSQL, FirebirdAdvancedSQL, FoxProAdvancedSQL, HSQLAdvancedSQL, InformixAdvancedSQL, InterbaseAdvancedSQL, JDataStoreAdvancedSQL, MySQLAdvancedSQL, OracleAdvancedSQL, SybaseAdvancedSQL

    public class AdvancedSQL

extends Object
implements Configurable

Handles advanced SQL functionality.

Field Summary
`protected JDBCConfiguration` | `conf`
`protected DBDictionary` | `dict`

Constructor Summary
`AdvancedSQL()`

Method Summary
`boolean` | `canBatch(Column col)` Returns type if the specified column can be included in batch statements.
`void` | `endConfiguration()`
`int` | `getBatchLimit()` Maximum number of batched statements, or -1 for no limit.
`int` | `getBatchParameterLimit()` Maximum number of combined parameters in batched statements, or -1 for no limit.
`boolean` | `getSupportsTotalCountsForBatch()` Whether the driver returns a total update count for batched statements.
`boolean` | `getSupportsUnion()` Union support.
`boolean` | `getSupportsUnionWithUnalignedOrdering()` Support for unions with ordering on unaligned but same-aliased columns.
`boolean` | `getSupportsUpdateCountsForBatch()` Whether the driver returns individual update counts for batched updates.
`void` | `setBatchLimit(int batchLimit)` Maximum number of batched statements, or -1 for no limit.
`void` | `setBatchParameterLimit(int batchLimit)` Maximum number of combined parameters in batched statements, or -1 for no limit.
`void` | `setConfiguration(Configuration c)`
`void` | `setSupportsTotalCountsForBatch(boolean supports)` Whether the driver returns a total update count for batched statements.
`void` | `setSupportsUnion(boolean supports)` Union support.
`void` | `setSupportsUnionWithUnalignedOrdering(boolean supports)` Support for unions with ordering on unaligned but same-aliased columns.
`void` | `setSupportsUpdateCountsForBatch(boolean supports)` Whether the driver returns individual update counts for batched updates.
`void` | `startConfiguration()`
`SQLBuffer` | `toSelect(Union union, boolean forUpdate, JDBCFetchConfiguration fetch)` Create a UNION.
`SQLBuffer` | `toSelectCount(Union union)` Create a UNION count.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### conf

    protected JDBCConfiguration conf

### dict

    protected DBDictionary dict

Constructor Detail

### AdvancedSQL

    public AdvancedSQL()

Method Detail

### getSupportsUnion

    public boolean getSupportsUnion()

  Union support.

### setSupportsUnion

    public void setSupportsUnion(boolean supports)

  Union support.

### getSupportsUnionWithUnalignedOrdering

    public boolean getSupportsUnionWithUnalignedOrdering()

  Support for unions with ordering on unaligned but same-aliased columns.

### setSupportsUnionWithUnalignedOrdering

    public void setSupportsUnionWithUnalignedOrdering(boolean supports)

  Support for unions with ordering on unaligned but same-aliased columns.

### getBatchLimit

    public int getBatchLimit()

  Maximum number of batched statements, or -1 for no limit.

### setBatchLimit

    public void setBatchLimit(int batchLimit)

  Maximum number of batched statements, or -1 for no limit.

### getBatchParameterLimit

    public int getBatchParameterLimit()

  Maximum number of combined parameters in batched statements, or -1 for no limit.

### setBatchParameterLimit

    public void setBatchParameterLimit(int batchLimit)

  Maximum number of combined parameters in batched statements, or -1 for no limit.

### getSupportsUpdateCountsForBatch

    public boolean getSupportsUpdateCountsForBatch()

  Whether the driver returns individual update counts for batched updates.

### setSupportsUpdateCountsForBatch

    public void setSupportsUpdateCountsForBatch(boolean supports)

  Whether the driver returns individual update counts for batched updates.

### getSupportsTotalCountsForBatch

    public boolean getSupportsTotalCountsForBatch()

  Whether the driver returns a total update count for batched statements.

### setSupportsTotalCountsForBatch

    public void setSupportsTotalCountsForBatch(boolean supports)

  Whether the driver returns a total update count for batched statements.

### toSelectCount

    public SQLBuffer toSelectCount(Union union)

  Create a UNION count.

### toSelect

    public SQLBuffer toSelect(Union union,
                              boolean forUpdate,
                              JDBCFetchConfiguration fetch)

  Create a UNION.

### canBatch

    public boolean canBatch(Column col)

  Returns type if the specified column can be included in batch statements.

### setConfiguration

    public void setConfiguration(Configuration c)

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Specified by:
    `endConfiguration` in interface `Configurable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.